package com.simuwang.base.dataobject;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

@TableName("rz_fund_nav")
public class RzFundNavDO {
    /**
     * 主键Id
     */
    @TableId(value = "id")
    private Integer id;
    /**
     * 基金id(CF开头)
     */
    @TableField(value = "fund_id")
    private String fundId;
    /**
     * 净值日期
     */
    @TableField(value = "price_date")
    private Date priceDate;
    /**
     * 单位净值
     */
    @TableField(value = "nav")
    private BigDecimal nav;
    /**
     * 累计单位净值
     */
    @TableField(value = "cumulative_nav_withdrawal")
    private BigDecimal cumulativeNavWithdrawal;
    /**
     * 复权净值
     */
    @TableField(value = "cumulative_nav")
    private BigDecimal cumulativeNav;
    /**
     * 净值来源:1-托管接入,2-邮件解析,3-手动填写
     */
    @TableField(value = "source")
    private Integer source;
    /**
     * 记录的有效性；1-有效；0-无效
     */
    @TableField(value = "isvalid")
    private Integer isvalid;
    /**
     * 创建者Id
     */
    @TableField(value = "creatorid")
    private Integer creatorId;
    /**
     * 创建时间
     */
    @TableField(value = "createtime")
    private Date createTime;
    /**
     * 修改者Id
     */
    @TableField(value = "updaterid")
    private Integer updaterId;
    /**
     * 修改时间
     */
    @TableField(value = "updatetime")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFundId() {
        return fundId;
    }

    public void setFundId(String fundId) {
        this.fundId = fundId;
    }

    public Date getPriceDate() {
        return priceDate;
    }

    public void setPriceDate(Date priceDate) {
        this.priceDate = priceDate;
    }

    public BigDecimal getNav() {
        return nav;
    }

    public void setNav(BigDecimal nav) {
        this.nav = nav;
    }

    public BigDecimal getCumulativeNavWithdrawal() {
        return cumulativeNavWithdrawal;
    }

    public void setCumulativeNavWithdrawal(BigDecimal cumulativeNavWithdrawal) {
        this.cumulativeNavWithdrawal = cumulativeNavWithdrawal;
    }

    public BigDecimal getCumulativeNav() {
        return cumulativeNav;
    }

    public void setCumulativeNav(BigDecimal cumulativeNav) {
        this.cumulativeNav = cumulativeNav;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Integer getIsvalid() {
        return isvalid;
    }

    public void setIsvalid(Integer isvalid) {
        this.isvalid = isvalid;
    }

    public Integer getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Integer creatorId) {
        this.creatorId = creatorId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getUpdaterId() {
        return updaterId;
    }

    public void setUpdaterId(Integer updaterId) {
        this.updaterId = updaterId;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}